Package ru.bgcrm.plugin.bgbilling.proto.dao

# Class ContractStatusDAO

java.lang.Object
ru.bgcrm.plugin.bgbilling.dao.BillingDAO
ru.bgcrm.plugin.bgbilling.proto.dao.ContractStatusDAO

public class ContractStatusDAO extends BillingDAO

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `dbInfo, jsonMapper, jsonTypeFactory, transferData, user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractStatusDAO(User user, String billingId)`
  `ContractStatusDAO(User user, DBInfo dbInfo)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ContractStatusFutureTask>`
  `statusFutureTasks(int contractId, Map<Integer,String> statusTitleMap)`
  `List<ContractStatus>`
  `statusList(int contractId, Map<Integer,String> statusTitleMap)`
  Возвращает список статусов договора с периодами.
  `List<ContractStatusLogItem>`
  `statusLog(int contractId)`
  Лог изменений статуса договора.
  `void`
  `updateStatus(int contractId, int statusId, Date dateFrom, Date dateTo, String comment)`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `doRequest, getDbInfo, getPage, getParameterId, getVersion, linesToString, readJsonValue, setPage`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractStatusDAO

    public ContractStatusDAO(User user, String billingId)

  - ### ContractStatusDAO

    public ContractStatusDAO(User user, DBInfo dbInfo)

- ## Method Details

  - ### statusList

    public List<ContractStatus> statusList(int contractId, Map<Integer,String> statusTitleMap)
    Возвращает список статусов договора с периодами.
    Parameters:
      `contractId` -
    Returns:

  - ### statusLog

    public List<ContractStatusLogItem> statusLog(int contractId)
    Лог изменений статуса договора.
    Parameters:
      `contractId` -
    Returns:

  - ### statusFutureTasks

    public List<ContractStatusFutureTask> statusFutureTasks(int contractId, Map<Integer,String> statusTitleMap)

  - ### updateStatus

    public void updateStatus(int contractId, int statusId, Date dateFrom, Date dateTo, String comment)